## Apache Zeta Components Manual :: Docs For Class ezcWebdavXmlDisplayInformation

### Webdav::ezcWebdavXmlDisplayInformation

### Class ezcWebdavXmlDisplayInformation

Display information.

Used by ezcWebdavTransport to transport information on displaying a response to the browser.

Source for this file: /Webdav/src/structs/display_information_xml.php

    ezcWebdavDisplayInformation
       |
       --ezcWebdavXmlDisplayInformation

Version: | //autogentag//

### Member Variables

public DOMDocument|string|null | `$body` Representation of the response body. Should be null, if no body is to be sent, an instance of DOMDocument to send and XML body or a string representng the body if it is non-XML.
public ezcWebdavResponse | `$response` Response object to extract headers from.

### Method Summary

public void | `__construct( $response , $body )` Creates a new struct.

### Inherited Methods

From ezcWebdavDisplayInformation
public void | `ezcWebdavDisplayInformation::__construct()` Creates a new display information.

### Methods

#### __construct

void __construct( ezcWebdavResponse $response , $body )

Creates a new struct.

This display information must be created with DOMDocument $body.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcWebdavResponse |
`$body` | DOMDocument |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavDisplayInformation::__construct()` | Creates a new display information.

Documentation generated by phpDocumentor 1.4.3